#include<iostream>
using namespace std;
int main()
{
	int n,x,y,x1,y1;
	cin>>n;
	if(n==1)
	{
		cin>>x>>y;
		cout<<0;
	}
	else if(n==2)
	{
		cin>>x>>y>>x1>>y1;
		if(x!=x1 && y!=y1)
			cout<<0;
		else
			cout<<1;
	}
	else 
	{
		for(int i=0;i<n;i++)
			cin>>x>>y;
		cout<<0;	
	}
}